import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.sql.SQLException;
import java.sql.Statement;

public class ExemploJdbcGenericDAO {

   public static void main(String[] args) throws ClassNotFoundException, SQLException {

      Connection c = DbUtils.getConnection();

      AcgDAO acgdao = new AcgDAO();
      acgdao.setConnection(c);
      acgdao.dropTable();
      acgdao.createTable();

      Acg acg1 = new Acg(1, "Participação na ERAD 2010", 30);
      Acg acg2 = new Acg(2, "Pesquisa no LSC", 60);
      Acg acg3 = new Acg(3, "Participação na ERRC 2009", 30);
      acgdao.create(acg1);
      acgdao.create(acg2);
      acgdao.create(acg3);

      //System.out.println(acgdao.findAll());
      for (Acg a : acgdao.findAll())
         System.out.println(a);
      
      Acg af = acgdao.find(2);
      System.out.println(af);

      acgdao.delete(1);
      System.out.println(acgdao.findAll());

      af.setCh(45);
      acgdao.update(af);
      System.out.println(acgdao.findAll());
      DbUtils.shutdown(c);
      c.close();
   }
}
